//Tento program převzan z literatury/zdroje [18]//
#include <Wire.h>
#include "SparkFunISL29125.h"

// Deklarace objektu senzor
SFE_ISL29125 RGB_sensor;

void setup()
{
  // Inicializace seriové komunikace
  Serial.begin(9600);

  // Inicializace senzoru ISL29125
  if (RGB_sensor.init())
  {
    Serial.println("Sensor Initialization Successful\n\r");
  }
}

// Čtení hodnoty každé barvy a jejich výpis na sériový monitor
void loop()
{
  // Čtení hodnoty senzoru (16bitové)
  unsigned int red = RGB_sensor.readRed();
  unsigned int green = RGB_sensor.readGreen();
  unsigned int blue = RGB_sensor.readBlue();
  
  // Výpis hodnot v hexadecimální reprezentaci
  Serial.print("Red: "); Serial.println(red,HEX);
  Serial.print("Green: "); Serial.println(green,HEX);
  Serial.print("Blue: "); Serial.println(blue,HEX);
  Serial.println();
  delay(2000);
}
